Bug 1127730 - Traceback when renaming/deleting more action chains with the same name
Summary: Traceback when renaming/deleting more action chains with the same name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API
Version: 570
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Martin Korbel
URL:
Whiteboard:
Depends On:
Blocks: sat570-actions
TreeView+ depends on / blocked
 
Reported: 2014-08-07 12:32 UTC by Jiří Mikulka
Modified: 2015-01-13 10:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 10:25:47 UTC


Attachments (Terms of Use)
Action chain(s) operations leading to traceback. (578 bytes, text/x-python)
2014-08-07 12:32 UTC, Jiří Mikulka
no flags Details

Description Jiří Mikulka 2014-08-07 12:32:24 UTC
Created attachment 924896 [details]
Action chain(s) operations leading to traceback.

Description of problem:
The new action chaining feature doesn't allow to create an action chains with a name that is already used for another action chain. Even though it is possible to rename any chain to a name of another action chains. Therefore it is possible to have multiple chains with the same name.

Renaming/deleting action chain(s) ends up with a traceback when there are multiple chains with the same name.

Version-Release number of selected component (if applicable):
Satellite 5.7 / Spacewalk 2.3 nightly
spacewalk-java-2.3.17-1.fc19.noarch
spacewalk-backend-2.3.4-1.fc19.noarch

How reproducible:
always


Steps to Reproduce:
1. prepare Satellite / Spacewalk
2. create a chain "TEST" and rename it to "TEST2" immediately (do this more than once)
3. get the list of all action chains (there are more chains with the same name "TEST2")
4. rename chain(s) "TEST2" to "TEST"
5. delete chain(s) "TEST2"

Actual results:
Traceback (most recent call last):
  File "./action_chaining.py", line 23, in <module>
    client.actionchain.renameChain(key, "%s NEW" % chain_label, chain_label)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1224, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1578, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1264, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1297, in single_request
    return self.parse_response(response)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1473, in parse_response
    return u.close()
  File "/usr/lib64/python2.7/xmlrpclib.py", line 793, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault -1: 'redstone.xmlrpc.XmlRpcFault: unhandled internal exception: query did not return a unique result: 9'>

Expected results:
all chains with the same name are renamed

Additional info:

Comment 1 Jan Dobes 2014-08-25 11:16:09 UTC
fixed in spacewalk master:
3aa3f1609a8afb9d180cba3fa2c9c8b909256237

Comment 2 Martin Korbel 2014-09-23 12:06:13 UTC
VERIFIED on spacewalk-java-2.3.8-15.el6sat.noarch, spacewalk-backend-2.3.3-9.el6sat.noarch

Reproducer in comment 0.

Output:
[{'entrycount': 0, 'label': 'TEST2'}]
Traceback (most recent call last):
  File "./tt.py", line 14, in <module>
    client.actionchain.renameChain(key, chain_label, chain_label_2)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1253, in request
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 1213: 'redstone.xmlrpc.XmlRpcFault: Another Action Chain with the same label already exists'>

Comment 4 Clifford Perry 2015-01-13 10:25:47 UTC
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

NOTE: This bug has not been re-verified (moved to RELEASE_PENDING) prior to release. We assume that the bug has indeed been fixed and not regressed since we initially verified it. Please re-open in the future if needed.


Note You need to log in before you can comment on or make changes to this bug.